"""
Has a container for game functions.

*Classes*
---------
  Games
    Container for game functions.
"""


from .trivia import Trivia
from .blackjack import Blackjack
from .connect_four import ConnectFour
from .hangman import Hangman
from .hex import HexGame
from .wordle import WordleGame


class Games():
  """
  Contains game classes.

  *Attributes*
  ------------
    bot: Gwendolyn
      The instance of Gwendolyn.
    blackjack
      Contains blackjack functions.
    connect_four
      Contains connect four functions.
    hangman
      Contains hangman functions.
    hex
      Contains hex functions
  """

  def __init__(self, bot):
    """Initialize the container."""
    self.bot = bot

    self.trivia = Trivia(bot)
    self.blackjack = Blackjack(bot)
    self.connect_four = ConnectFour(bot)
    self.hangman = Hangman(bot)
    self.hex = HexGame(bot)
    self.wordle = WordleGame(bot)
